#!/bin/bash

# Generate Doxygen HTML documentation
#
../../Util/doxygen/doxygen.exe GT2004_Documentation.cfg 2> ../../dtmp


# Summarize documentation warnings and errors for MSVC
#
cat ../../dtmp  \
  | sed "s%\(.*\):\([0-9][0-9]*\) Warning: %\1(\2) : warning: %" \
  | sed "s%\(.*\):\([0-9][0-9]*\) Error: %\1(\2) : error: %"

rm  ../../dtmp


# Compile compressed HTML Help file
#
# regsvr32 /s ../../Util/hhc/itcc.dll
# ../../Util/hhc/hhc.exe ../../Doc/Reference/GT2004/index.hhp

exit 0
