#!bash
# call like: copyfiles-deliver-ftp.bash 192.168.0.110 update
# add path (important: if path is missing, no command will be found) and remove doubles
export PATH=/usr/local/bin:/usr/bin:/bin:/lib:`echo "$PATH" | /bin/sed "s=/usr/local/bin:/usr/bin:/bin:/lib:==g"`

export TEAM_DIR=`pwd |sed 's@\(.*\)/Make.*@\1@' `
#TEAM_DIR is for example  /cygdrive/e/DT2005
pwd
echo "! copyfiles-deliver-ftp.bash $*"
echo "!"

echo "Team base dir is $TEAM_DIR"



 MSDCURRENT="$TEAM_DIR/Deployment/CurrentStick"
 echo "looking for prepared package at $MSDCURRENT"
 if test -d $MSDCURRENT; then
   echo "  ok. image ready."
 else
   echo "  ERROR: delivery package not found"
   read
 fi
  MSD=$1

 if ping $1; then

   cd $MSDCURRENT
    if test $2x != updatex; then
      echo "Sending binaries.. "
      ftp -A -s:../../Make/copyfiles-deliver-ftp-binaries.script $1
     
    fi

    echo "Sending WLAN config, player config & colortable.."
    echo "ftp -A -s:$TEAM_DIR/Make/copyfiles-deliver-ftp-config.script"
    ftp -A -s:../../Make/copyfiles-deliver-ftp-config.script $1

    echo "Done!"


  else
    echo ERROR: $MSD does not reply! 
    cmd /C pause
  fi
 

#
# Change Log:
#
# $Log: copyfiles-deliver-stick.bash,v $

