/**
* @file RasterStrategy.cpp
* 
* This file contains the implementation of class RasterStrategy.
*
* @author <a href="mailto:sadprofessor@web.de">Bernd Schmidt</a>
*/
#include "RasterStrategy.h"

RasterStrategy::RasterStrategy(RasterImageProcessor &iProcessor)
: rip(&iProcessor)
{
  
}

RasterStrategy::~RasterStrategy()
{
	
}



/*
* Change log :
* 
* $Log: RasterStrategy.cpp,v $
* Revision 1.4  2004/09/06 12:02:26  schmidtb
* commented almost all members, removed warnings in documentation

* did further code clean up
*
* Revision 1.3  2004/09/02 07:59:29  schmidtb
* Added RasterImageProcessor to repository, because we used it for the OpenChallenge.
*
* Revision 1.7  2004/02/18 14:56:19  neubach
* new Segmentation established, code not cleared at all
*
* Revision 1.6  2003/12/30 20:12:03  roefer
* Image size is now 208 x 160. Smaller images are placed in the upper left corner
*
* Revision 1.5  2003/12/02 21:59:02  schmidtb
* New version of RasterImageProcessor
*
* Revision 1.4  2003/11/29 07:37:39  roefer
* Removed memory leaks
*
* Revision 1.3  2003/11/28 14:50:01  dueffert
* bugs and warnings fixed
*
* Revision 1.2  2003/11/20 10:26:56  schmidtb
* Ball Detection added
*
* Revision 1.1  2003/11/12 13:13:20  schmidtb
* new RasterImageProcessor added
*
*
*/
