/**
* @file TaskVisionData.cpp
*
* File created by the members of the Dutch Aibo Team 2005
*
* @author Jurgen Sturm, Silvain van Weers, Stefan Leijnen, Nico Assink, Niek Wijngaards 
*/
/**
* @file TaskVisionData.cpp
*
* contains the implementation of the class TaskVisionData
*/

#include "TaskVisionData.h"

In& operator>>(In& stream,TaskVisionData& TaskVisionData)
{
  stream.read(&TaskVisionData,sizeof(TaskVisionData));
  return stream;
}

Out& operator<<(Out& stream, const TaskVisionData& TaskVisionData)
{
  stream.write(&TaskVisionData,sizeof(TaskVisionData));
  return stream;
}
  
/*
 * Change log :
 * 
 * $Log: TaskVisionData.cpp,v $
 * Revision 1.1  2004/06/23 12:17:15  floris
 * met taskVisionData
 *
 * Revision 1.3  2004/06/08 15:39:16  andrew
 * Renamed GT2003 to DT2004
 *
 * Revision 1.2  2004/02/27 11:31:16  wcaarls
 * Import of Utrecht changes as of 26-02-2004.
 *
 * Revision 1.1.1.1  2004/01/15 12:30:36  bottens
 *
 *
 * Revision 1.1.1.1  2003/07/02 09:40:22  cvsadm
 * created new repository for the competitions in Padova from the 
 * tamara CVS (Tuesday 2:00 pm)
 *
 * removed unused solutions
 *
 * Revision 1.1  2002/09/10 15:26:39  cvsadm
 * Created new project DT2004 (M.L.)
 * - Cleaned up the /Src/DataTypes directory
 * - Removed Challenge Code
 * - Removed processing of incoming audio data
 * - Renamed AcousticMessage to SoundRequest
 *
 * Revision 1.1.1.1  2002/05/10 12:40:13  cvsadm
 * Moved GT2002 Project from ute to tamara.
 *
 * Revision 1.6  2002/02/13 22:43:02  roefer
 * First working versions of DefaultLandmarksPerceptor and MonteCarloSelfLocator
 *
 * Revision 1.5  2002/02/05 03:36:12  loetzsch
 * replaced direct member access by
 * inline const VALUE& get...() const   and
 * inline void set...(const Value&) methods.
 *
 * Revision 1.4  2002/01/13 12:16:16  AndySHB
 * no message
 *
 * Revision 1.3  2001/12/10 17:47:06  risler
 * change log added
 *
 */
