/**
* @file GT2004BallLocatorDebugData.h
* Contains action IDs for GT2004BallLocator debugging
*
* @author <a href="mailto:stefanuhrig@gmx.net">Stefan Uhrig</a>
*/
//------------------------------------------------------------------------------
#ifndef GT2004DEBUGDATA_H_INCLUDED
#define GT2004DEBUGDATA_H_INCLUDED
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
/**
* @class GT2004BallLocatorDebugData
* Contains action IDs for GT2004BallLocator debugging
*/
class GT2004BallLocatorDebugData
{
public:
  enum Action
  {
    idRequestParameters,
    idSendingParameters,
    idSetParameters,
    idFilterState,
    idGT2004Message
  };
}; 
//------------------------------------------------------------------------------
#endif
//------------------------------------------------------------------------------
