#!bash

export GT_DIR=`pwd |sed 's@\(.*\)/Make.*@\1@' |sed 's@/cygdrive/\(.\)\(.*\)@\1:\2@'`
#GT_DIR is for example c:/GT2004

cat Simulator.dsp.header $GT_DIR/Build/Simulator/CMD/dsp.middle Simulator.dsp.footer >Simulator_CMD.dsp

cat Simulator.vcproj.header $GT_DIR/Build/Simulator/CMD/vcproj.middle Simulator.vcproj.footer >Simulator_CMD.vcproj

#
# Change log :
#
# $Log: generate_Simulator_dsp.bash,v $
# Revision 1.2  2004/09/17 06:09:21  wachter
# removed dsp-generation for CD Layout
#
# Revision 1.1.1.1  2004/05/22 17:12:26  cvsadm
# created new repository GT2004_WM
#
# Revision 1.4  2004/01/29 02:08:39  dueffert
# dsp and vcproj generation improved
#
# Revision 1.3  2004/01/28 08:22:54  dueffert
# dsp and vcproj generation improved
#
# Revision 1.2  2003/11/28 14:45:12  dueffert
# Depend generates dsp file lists now too
#
# Revision 1.1  2003/10/06 13:07:41  cvsadm
# Created GT2004 (M.J.)
#
# Revision 1.1  2003/09/29 19:37:10  juengel
# no message
#
# Revision 1.1  2003/09/15 20:33:23  dueffert
# generation of SimGT2003.dsp is now possible
#
#
