#!bash
# add path (important: if path is missing, no command will be found) and remove doubles
export PATH=/usr/local/bin:/usr/bin:/bin:/lib:`echo "$PATH" | /bin/sed "s=/usr/local/bin:/usr/bin:/bin:/lib:==g"`

export TEAM_DIR=`pwd |sed 's@\(.*\)/Make.*@\1@' `
#TEAM_DIR is for example  /cygdrive/e/DT2005
pwd
echo "! copyfiles-deliver-stick.bash $*"
echo "!"

echo "Team base dir is $TEAM_DIR"



  if test x$MSD = x; then
    MSDCURRENT="$TEAM_DIR/Deployment/CurrentStick"
    MSDBIN="$TEAM_DIR/Deployment/Binaries"
    MSDZIP="$MSDBIN/$1"
    echo "looking for prepared package at $MSDCURRENT"
    if test -d $MSDCURRENT; then
      echo "  ok. image ready."
    else
      echo "  ERROR: delivery package not found"
      read
    fi
  fi
  echo

  MSD=$1

  if test -d $MSD; then

#    if test $2x != updatex; then
#      echo Cleaning memorystick $MSD
#      rm -rf $MSD/*
#    fi

    echo Delivering package from $MSDCURRENT to $MSD
    copy-update.bash $MSDCURRENT $MSD

  else
    echo ERROR: $MSD does not exist. Insert MemoryStick!
    cmd /C pause
  fi
 

#
# Change Log:
#
# $Log: copyfiles-deliver-stick.bash,v $

