/**
* @file OdometryCorrection.h
*
* File created by the members of the Dutch Aibo Team 2005
*
* @author Jurgen Sturm, Silvain van Weers, Stefan Leijnen, Nico Assink, Niek Wijngaards 
*/
/**
* @file OdometryCorrection.h
* 
* 
*/

#ifndef __OdometryCorrection_h_
#define __OdometryCorrection_h_
#include "Representations/Motion/OdometryData.h"


class OdometryCorrection
{
public:
/*
* Constructor.
* @param interfaces The paramters of the LEDControl module.
  */
  OdometryCorrection(OdometryData& odometryData);

  /** Executes the module. */
  virtual void execute();

private:
	OdometryData& odometryData;
	Pose2D referenceOdometry;
};

#endif// 

/*
 * Change log :
 
 *
 */
