/**
* @file ChooserRaterInterfaces.h
* 
* This file contains a generic class for ChooserRaterInterfaces.
* @author <A href=mailto:jochen@kerdels.de>Jochen Kerdels</A>
*/

#ifndef __ChooserRaterInterfaces_h_
#define __ChooserRaterInterfaces_h_

#include "RateableOptions.h"

/**
* @class ChooserRaterInterfaces 
*
* The interface class for communication between TacticChooser and OptionRater
*
*/
class ChooserRaterInterfaces
{
public:

  RateableOptions::OptionID lastChoosenOption;
	  
};
  

#endif // __ChooserRaterInterfaces_h_

/*
 * Change log :
 * $Log: ChooserRaterInterfaces.h,v $
 * Revision 1.3  2004/07/22 22:38:33  kerdels
 * added DTT used by Open Challenge, RIP and Xabsl-Options will follow
 *
 *
 *
 *
 */
